%global gem_name stickshift-controller

# Conditionally set required macros for distros without rubygems-devel This can
# be removed once https://bugzilla.redhat.com/show_bug.cgi?id=788001 is
# resolved.
%{!?gem_dir: %global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)}


Summary:        Rails engine for the OpenShift Broker API
Name:           rubygem-%{gem_name}
Version:        0.14.4
Release:        1%{?dist}
Group:          Development/Tools
License:        ASL 2.0
URL:            http://openshift.redhat.com
Source0:        http://mirror.openshift.com/pub/crankcase/source/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) >= 1.8
Requires:       rubygems
Requires:       rubygem(activemodel)
Requires:       rubygem(highline)
Requires:       rubygem(json_pure)
Requires:       rubygem(parseconfig)
Requires:       rubygem(state_machine)
Requires:       rubygem(stickshift-common)
Requires:       rubygem(open4)

BuildRequires:  ruby-devel
%if 0%{?rhel} == 6
BuildRequires:  rubygems
%else
BuildRequires:  rubygems-devel
%endif
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %version

%description
This packages contains a Rails engine that provides the majority of the
OpenShift Broker API.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

%build
mkdir -p .%{gem_dir}

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
# gem install compiles any C extensions and installs into a directory
# We set that to be a local directory so that we can move it into the
# buildroot in %%install
gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --bindir ./%{_bindir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

%clean
rm -rf %{buildroot}                                

%files
%defattr(-,root,root,-)
%{gem_dir}/doc/%{gem_name}-%{version}
%{gem_dir}/gems/%{gem_name}-%{version}
%{gem_dir}/cache/%{gem_name}-%{version}.gem
%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec

%changelog
* Fri Jul 20 2012 Brenton Leanhardt <bleanhar@redhat.com> 0.14.4-1
- Latest upstream release
- Switched Source0 to gem

* Wed Jul 18 2012 Brenton Leanhardt <bleanhar@redhat.com> 0.14.2-1
- Added ruby-devel and rubygem-devel build requires and replaced the
  ruby_sitelib and geminstdir macros with the standard macros.
- Renamed %%gemname to %%gem_name so %%geminstdir will work correctly.
- Fixed several file mode problems with libraries
- Rebased to the latest upstream version

* Mon Jul 09 2012 Brenton Leanhardt <bleanhar@redhat.com> 0.14.1-1
- Initial package creation for Fedora
- Removed rcov
